Bug 479875 - 'device' directive in ks ignored in livecd-tools-020
'device' directive in ks ignored in livecd-tools-020
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On: 494735
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 13:39 EST by David Huff
Modified: 2009-07-21 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 14:31:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huff 2009-01-13 13:39:43 EST
Description of problem:

'device' directive in ks ignored in livecd-tools-020

"F8_Device is a FC3_Device subclass, so isinstance was always true" - Alan Pevec <apevec@redhat.com>

http://git.fedoraproject.org/git/?p=livecd;a=commitdiff;h=b98ad7391cef406967636f4fba7e3d5d2602e83f


We would like to get this backported to the F-10 version of livecd tools so we can use the kickstart 'device' directive to add modules initrd 

Thanks,
David
Comment 1 Jeremy Katz 2009-01-21 16:31:46 EST
I've done a build of livecd-tools-021 for F10 in koji that should be usable for some testing.  And I'll push it to updates-testing a little later
Comment 2 David Huff 2009-02-20 12:11:25 EST
initial testing looks good however, needs 

mkinitrd >=6.0.75-1

BZ:479846
Comment 4 Alan Pevec 2009-04-07 17:21:28 EDT
Don't need complete mkinitrd upgrade, just backport from mkinitrd git
"use explicit check of rootfs type so that things work with rootfstype=auto"
commits: 24d6d9779ca5bacc0c649e9d783263661ceb81f0 and 809c7627010ae82d14adcebbf8d522980689a8bb
Comment 5 Jeremy Katz 2009-07-21 14:31:17 EDT
Closing out bug that's been in MODIFIED for a while.

Note You need to log in before you can comment on or make changes to this bug.